aboutsummaryrefslogtreecommitdiffstats
path: root/debian/fetchmail.postrm
diff options
context:
space:
mode:
authorvg <vgm+dev@devys.org>2024-03-29 11:16:52 +0100
committervg <vgm+dev@devys.org>2024-03-29 11:16:52 +0100
commit8eae1aca826e08d953a43978bae554f20d07897a (patch)
treebcbb8a580d5b29f35bb90d6ef1a05d80aed67e66 /debian/fetchmail.postrm
parent9f542a1e74323a7247a19de9d7349a7269c63002 (diff)
downloadfetchmail-8eae1aca826e08d953a43978bae554f20d07897a.tar.gz
fetchmail-8eae1aca826e08d953a43978bae554f20d07897a.tar.bz2
fetchmail-8eae1aca826e08d953a43978bae554f20d07897a.zip
get debian directory from debian archive
Diffstat (limited to 'debian/fetchmail.postrm')
-rw-r--r--debian/fetchmail.postrm32
1 files changed, 32 insertions, 0 deletions
diff --git a/debian/fetchmail.postrm b/debian/fetchmail.postrm
new file mode 100644
index 00000000..64efe81c
--- /dev/null
+++ b/debian/fetchmail.postrm
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Postrm script for fetchmail
+# $Id: fetchmail.postrm 460 2008-02-04 15:20:16Z nion $
+#
+
+set -e
+
+#DEBHELPER#
+
+if [ "$1" = "purge" ]; then
+ if [ -e /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+ db_purge
+ fi
+
+ # Remove other cruft
+ rm -f /var/mail/.fetchmail-UIDL-cache >/dev/null 2>&1 || true
+ rm -rf /var/run/fetchmail >/dev/null 2>&1 || true
+
+ # Remove user fetchmail
+ fetchmailhome=`getent passwd fetchmail | cut -d : -f 6`
+ rm -f "$fetchmailhome/.fetchids" >/dev/null 2>&1 || true
+ rm -f "$fetchmailhome/.fetchmail-UIDL-cache" >/dev/null 2>&1 || true
+ rm -f "$fetchmailhome/.fetchmail.pid" >/dev/null 2>&1 || true
+ userdel fetchmail || true
+ rmdir "$fetchmailhome" >/dev/null 2>&1 || true
+fi
+
+exit 0
+
+# vim:ts=4:sw=4: